# vim: set ts=2 et:
# deployer bundle for development ('next') charms
openstack-services:
  services:
    mysql:
      charm: mysql
    keystone:
      charm: keystone
    glance:
      charm: glance
    swift-proxy:
      charm: swift-proxy
    swift-storage-z1:
      charm: swift-storage-z1
    swift-storage-z2:
      charm: swift-storage-z2
    swift-storage-z3:
      charm: swift-storage-z3
    swift-hacluster:
      charm: hacluster
  relations:
    - [ glance, swift-proxy ]
    - [ swift-proxy, keystone ]
    - [ swift-proxy, swift-storage-z1 ]
    - [ swift-proxy, swift-storage-z2 ]
    - [ swift-proxy, swift-storage-z3 ]
# icehouse
precise-icehouse:
  inherits: openstack-services
  series: precise
  overrides:
    openstack-origin: cloud:precise-icehouse
    source: cloud:precise-icehouse
trusty-icehouse:
  inherits: openstack-services
  series: trusty
trusty-liberty:
  inherits: openstack-services
  series: trusty
  overrides:
    openstack-origin: cloud:trusty-liberty
    source: cloud:trusty-liberty
trusty-mitaka:
  inherits: openstack-services
  series: trusty
  overrides:
    openstack-origin: cloud:trusty-mitaka
    source: cloud:trusty-mitaka
xenial-mitaka:
  inherits: openstack-services
  series: xenial
  overrides:
    ha-bindiface: ens2
xenial-newton:
  inherits: openstack-services
  series: xenial
  overrides:
    openstack-origin: cloud:xenial-newton
    source: cloud:xenial-newton
    ha-bindiface: ens2
xenial-ocata:
  inherits: openstack-services
  series: xenial
  overrides:
    ha-bindiface: ens2
    openstack-origin: cloud:xenial-ocata
    source: cloud:xenial-ocata
